Get Auth Config for Gateway
Endpoint: GET /api/gateway/config/auth/{id}
Retrieves the details of a specific auth config.
Path parameters
| Parameter | Description | Type | Required/ Optional |
|---|---|---|---|
| id | The id of the auth config to retrieve. | string | Required. |
Response
- Returns a
200 OKresponse with auth config details, including its application ID associated with, and the authentication metadata. For auth configs that use API keys, theapiKeysfield returns each key masked as***. The actual key values are never returned. - Returns 404 Not Found if no auth config exists with the given
id. - Returns 403 Forbidden if you do not have access to the auth config.
Examples
Get auth config for Gateway
Request
curl -X 'GET' \
'https://<YOUR-SERVER-URL>/api/gateway/config/auth/gateway' \
-H 'accept: application/json' \
-H 'X-Authorization: <TOKEN>'
Response